Description

Giulio, some files you uploaded contain a first line with the headers (Well_Type.csv, Well_Status.csv, Info_Source.csv), while others

don't (av_locations.csv).

We should stick to one convention or the other: i'd prefer using the same exact format for all csv files, that would reduce my effort

and improve robustness, maintainability.

Suggesting that the first line always contains the column names, exactly as in the database (that's would be a strict requirement).

Besides, please note that the file for locations still doesn't contain the missing record, id=205.

Associated revisions

Revision 2ee706ca - 26/12/2016 16:38 - Philippe May 

Import csv files: ignore the first line (headers), refs #3374

History

#1 - 26/12/2016 13:02 - Giulio Di Anastasio

Dear Philippe,

I edited the location.csv file, adding the headers as "id" and "loc"

Hope this is ok

About the missing record id=205, it was a duplicate of a record already existing (Herbal Forest, id no. 81) in the locations file. I have changed the

shapefile attribute, so there should be no problem any more.

I am going to change the res_id in the shapefile where it is a string instead of a number, giving a non-true attribute, just for the sake of trying it. I will

use my res_id number.

I will hopefully send it in the afternoon

Thanks

Giulio

#2 - 26/12/2016 22:18 - Philippe May

- Status changed from New to Resolved
Almost all good.

The only CSV i had to tweak is the location.csv: there was no "header" (first line).

#3 - 27/12/2016 12:42 - Giulio Di Anastasio

Hi Philippe,

are you sure you are using the right file? I sent the location.csv file yesterday with the header, first column being "id", second being "loc".

About the other 3 shapefiles, I am uploading them again now

please give me a call, I tried to contact you but no answer...

#4 - 26/05/2020 14:38 - Giulio Di Anastasio

- Status changed from Resolved to Closed
